<?php

/**
 * Description of Application
 *
 * @author jkraaijeveld
 */
class Application extends ResearchToolObject{
    
    public $title;
    public $description;
    public $style;

	/**
	 * Constructor for an Application object
	 * @param type $uid : The uid of the Application object.
	 * @param type $title: The title of the Application.
	 * @param type $description: The description of the Application.
	 * @param type $style: The style of the Application.
	 */
    public function __construct($uid = null, $title = null, $description = null, $style = null) 
    {
        if(!isset ($uid))
        {
            $uid = md5(uniqid(rand(), true));
        }
        $this->uid = $uid;
        $this->title = $title;
        $this->description = $description;
		$this->style = $style;
	}
	
	public function evaluate()
	{
		//Do nothing, there are no references in application.
		return true;
	}
}
?>
